cURL
curl --request POST \
--url https://api.simpu.co/lists/contact/rows/query \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"smartlist_id": "1234",
"filters": [
{
"column_id": "fe9bafa8ae434a838a278aa7e710cded",
"name": "full_name",
"value": "John",
"operator": "contain"
}
]
}
'import requests
url = "https://api.simpu.co/lists/contact/rows/query"
payload = {
"smartlist_id": "1234",
"filters": [
{
"column_id": "fe9bafa8ae434a838a278aa7e710cded",
"name": "full_name",
"value": "John",
"operator": "contain"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
smartlist_id: '1234',
filters: [
{
column_id: 'fe9bafa8ae434a838a278aa7e710cded',
name: 'full_name',
value: 'John',
operator: 'contain'
}
]
})
};
fetch('https://api.simpu.co/lists/contact/rows/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"id": "674535b2b39158b9aae90188fcec23eb",
"columns": {
"674535b2b39158b9aae90188fcec23ec": "John Doe",
"674535b2b39158b9aae90188fcec23ed": "john@acme.org",
"674535b2b39158b9aae90188fcec23ee": "9291234567"
},
"created_datetime": "2024-06-28T23:56:38.128604+00:00",
"updated_datetime": "2024-06-28T23:56:38.128604+00:00"
}
],
"table": {
"id": "674535b2b39158b9aae90188fcec23eb",
"columns": [
{
"id": "674535b2b39158b9aae90188fcec23ec",
"name": "name",
"type": "TEXT"
},
{
"id": "674535b2b39158b9aae90188fcec23ed",
"name": "Email",
"type": "EMAIL"
},
{
"id": "674535b2b39158b9aae90188fcec23ee",
"name": "Mobile",
"type": "PHONE NUMBER"
}
],
"created_datetime": "2024-06-28T23:56:38.128604+00:00",
"updated_datetime": "2024-06-28T23:56:38.128604+00:00"
},
"smartlist": {
"id": "674535b2b39158b9aae90188fcec23eb",
"created_datetime": "2024-06-28T23:56:38.128604+00:00",
"updated_datetime": "2024-06-28T23:56:38.128604+00:00"
},
"meta": {
"method": "POST",
"resource": "/lists/contact/rows/query",
"pagination": {
"next_page": "True",
"per_page": 7,
"count_total": 50,
"page_total": 100,
"page": 9,
"prev_page": "True",
"query_id": "1234"
}
}
}{
"status": 200,
"message": "Invalid request",
"errors": [
{
"field": "name",
"message": "Error in field: 'name' Field required.",
"type": "missing"
}
]
}List
Query Rows
Query contact rows
POST
/
lists
/
contact
/
rows
/
query
cURL
Authorizations
An API key to authenticate requests
Query Parameters
Number of rows to retrieve per page.
The page number for paginated results.
The scroll query ID for paginated results.
Body
application/json
Query contact rows object
⌘I